import { Component, OnInit } from '@angular/core';
import { Assignment } from './assignment.model';

@Component({
  selector: 'app-assignments',
  templateUrl: './assignments.component.html',
  styleUrls: ['./assignments.component.css']
})
export class AssignmentsComponent implements OnInit {
  titre="Liste des assignments : ";
  formVisible=false;

  assignmentSelectionne=null;

  assignments:Assignment[] = [
    {
      nom:"Devoir Angular Mr Buffa No 1",
      dateDeRendu: new Date("03/21/2021"),
      rendu:false
    },
    {
      nom:"Gestion de projet, rapport pour Mr Winter",
      dateDeRendu:new Date("03/25/2021"),
      rendu:false
    },
    {
      nom:"Devoir ERP pour Mr Yosi Gal",
      dateDeRendu:new Date("01/04/2021"),
      rendu:true
    }
  ];

  constructor() { }

  ngOnInit(): void {
  }


  assignmentClicke(assignment) {
    this.assignmentSelectionne = assignment;
    console.log("Assignent selectionné : " + assignment.nom)
  }

  onAddAssignmentBtnClick() {
    this.formVisible=true;
  }
}
